Subject: Re: Threaded Cygwin Python Problem (was Re: Creating a local mirror ...)
From: "Norman Vine" <[email-masked]>
To: [email-masked]
Date: Fri, 22 Feb 2002 23:11:25 -0500
Newsgroups: gmane.os.cygwin

"Jason Tishler" writes
>
> Is it just me?  Or, can anyone else reproduce this problem?  I have been
> able to cause the hang on three different machines.  All of them PIIIs
> at 500 or 750 MHz.  Maybe processor speed matters?  Additionally, the
> hang occurs regardless of the NT version: NT 4.0 SP6a, Win2K SP1 or SP2.
>
> Note that test_threadedtempfile does not hang every time, so I use the
> following to trigger it:
>
>     i=0
>     while :
>     do
>         ((i=i+1))
>         echo $i
>         ./python.exe -E -tt ./Lib/test/regrtest.py -l
test_threadedtempfile
>         sleep 1
>     done
>
> I have never seen the above get past 30 iterations -- usually it will
> hang much sooner.

aha .. finally I see

Running your script I experience the hang  FWIW
I also can't seem to get above 30 reps but ...
I do always seem to get above 20 reps so I don't
feel so bad about missing this before.

Cheers

Norman

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/